package com.ruoyi.project.training.spec.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.training.spec.domain.TStSuccessor;

/**
 * 继任者清单Mapper接口
 *
 * @author ruoyi
 * @date 2022-04-11
 */
public interface TStSuccessorMapper
{
    /**
     * 根据导师ID查询学员列表
     *
     * @author 王子文
     * @date 2022年4月18日
     * @param tStSuccessor 继任者清单对象
     * @return 继任者清单
     */
    public List<TStSuccessor> selectSuccessorListByMentorId(TStSuccessor tStSuccessor);

    public List<TStSuccessor> selectMentorListByStaffId(String staffId);
    /**
     * 查询继任者清单
     *
     * @param id 继任者清单ID
     * @return 继任者清单
     */
    public TStSuccessor selectTStSuccessorById(Long id);

    /**
     * 查询继任者清单列表
     *
     * @param tStSuccessor 继任者清单
     * @return 继任者清单集合
     */
    @DataScope(deptAlias = "d")
    public List<TStSuccessor> selectTStSuccessorList(TStSuccessor tStSuccessor);

    /**
     * 新增继任者清单
     *
     * @param tStSuccessor 继任者清单
     * @return 结果
     */
    public int insertTStSuccessor(TStSuccessor tStSuccessor);

    /**
     * 修改继任者清单
     *
     * @param tStSuccessor 继任者清单
     * @return 结果
     */
    public int updateTStSuccessor(TStSuccessor tStSuccessor);

    /**
     * 删除继任者清单
     *
     * @param id 继任者清单ID
     * @return 结果
     */
    public int deleteTStSuccessorById(Long id);

    /**
     * 批量删除继任者清单
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTStSuccessorByIds(Long[] ids);

    /**
     * 根据staffId修改“进行中”的继任者计划状态为“因离职中止”
     * @param staffId
     * @return
     */
    public int updateStateByStaffId(Long staffId);

    /**
     * 根据学员id查询继任者清单详细信息
     */
    public TStSuccessor selectTStSuccessorBySuccessorId(Long staffId);
}
